﻿@model Avira.MarketingResearch.Model.ViewModels.RoleEditViewModel


@{
    ViewData["Title"] = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container">
    <div class="row">
        <div class="col-md-3"></div>
        <div class="col-md-6">
            <div class="section-container section-with-top-border">
                @using (Html.BeginForm("Delete", "Role", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()

                    <div class="form-group">
                        @if (ViewBag.Message != null)
                        {
                            <div class="text-center">
                                <label class="alert alert-danger text-center viewbagmsg" role="alertdialog">@ViewBag.Message</label>
                            </div>
                        }
                        <div class="text-center">
                            <label class="lblErrorMsg alert alert-danger text-center" role="alertdialog"></label>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-horizontal">
                        @{
                            string UserRoleName = ViewBag.UserRoleName;
                            Guid Id = ViewBag.UserRoleId;
                        }
                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        <div class="form-group">
                            @Html.HiddenFor(model => Id)
                            @Html.LabelFor(model => UserRoleName, htmlAttributes: new { @class = "col-md-12 text-left" })
                            <div class="col-md-6">
                                @Html.EditorFor(model => UserRoleName, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <input type="submit" value="Delete Role" class="btn btn-inverse btn-primary btn-block width-100" id="updateuserrole" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <a href="@Url.Action("Index","Role")" class="btn btn-inverse btn-primary btn-block width-150">
                                        Back to list
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                }
            </div>
        </div>

    </div>

</div>